<?php

    /**
     * Primary Menu Admin Options
     */
     
    $this->admin_option(array('منوی اولیه', 21), 
        'منوی اولیه', 'menu_primary_info', 
        'content', 'لطفا استفاده کنید از <a href="nav-menus.php"><strong>پنل منو ها</strong></a> برای انجام تغییرات مورد نظرتان <strong>منوی اولیه</strong>.<br />منوی اولیه در صفحات سایت نمایش داده می شوند اگر هیچ منویی را انتخاب نکرده اید. <a href="http://codex.wordpress.org/Appearance_Menus_Screen" target="_blank">برای اطلاعات بیشتر اینجا را بخوانید.</a>'
    );
    
    $this->admin_option('منوی اولیه', 
        'منوی اولیه فعال شود ؟', 'menu_primary', 
        'checkbox', $this->options['menus']['menu-primary']['active'], 
        array('display'=>'inline')
    );
    
     $this->admin_option('منوی اولیه',
        'تنظیمات منو آبشاری', 'menu_primary_drop_down', 
        'content', ''
    );
    
    $this->admin_option('منوی اولیه',
        'عمق منو', 'menu_primary_depth', 
        'text', $this->options['menus']['menu-primary']['depth'], 
        array('help'=>' میزان عمق منو اولیه 0 برابر با بینهایت است', 'display'=>'inline', 'style'=>'width: 80px;')
    );
    
    $this->admin_option('منوی اولیه',
        'جلوه های ویژه', 'menu_primary_effect', 
        'select', $this->options['menus']['menu-primary']['effect'],
        array('help'=>'جلوه های انیمیشنی برای منو ها', 'display'=>'inline', 'options'=>array('standart' => 'استاندارد و بدون افکت', 'slide' => 'اسلاید رو به پایین', 'fade' => 'محو شدن', 'fade_slide_right' => 'محو شدن و اسلاید به راست', 'fade_slide_left' => 'محو شدن و اسلاید به چپ'))
    );
    
    $this->admin_option('منوی اولیه',
        'سرعت', 'menu_primary_speed', 
        'text', $this->options['menus']['menu-primary']['speed'], 
        array('help'=>'تنظیم سرعت انیمیشن منو ابشاری', 'display'=>'inline', 'style'=>'width: 80px;', 'suffix'=> ' <em>بر حسب میلی ثانیه</em>')
    );
    
    $this->admin_option('منوی اولیه',
        'تاخیر', 'menu_primary_delay', 
        'text', $this->options['menus']['menu-primary']['delay'], 
        array('help'=>'تاخیر ایجاد شده بعد از بردن موس بر روی منو', 'display'=>'inline', 'style'=>'width: 80px;', 'suffix'=> ' <em>بر حسب میلی ثانیه</em>')
    );
    
    $this->admin_option('منوی اولیه', 
        'فلش', 'menu_primary_arrows', 
        'checkbox', $this->options['menus']['menu-primary']['arrows'], 
        array('help'=>'نمایش فلش شاخص برای منو های دارای زیرمنو', 'display'=>'inline')
    );
    
     $this->admin_option('منوی اولیه',
        'قطر سایه ها', 'menu_primary_shadows', 
        'checkbox', $this->options['menus']['menu-primary']['shadows'], 
        array('help'=>'نمایش سایه برای زیر منو ها', 'display'=>'inline')
    );
    
    
    /**
     * Display Primary Menu
     */
     
    if($this->display('menu_primary')) {
        
        // Register
        register_nav_menu( 'primary',  __( 'Primary Menu', 'themater' ) );
        
        // Display Hook
        $this->add_hook($this->options['menus']['menu-primary']['hook'], 'themater_menu_primary_display');
        
        function themater_menu_primary_scripts() {
            wp_enqueue_script( 'hoverIntent', THEMATER_URL . '/js/hoverIntent.js', array('jquery') );
            wp_enqueue_script( 'superfish', THEMATER_URL . '/js/superfish.js', array('jquery') );
        }
        add_action('wp_enqueue_scripts', 'themater_menu_primary_scripts');
        
        $this->custom_js(themater_menu_primary_js());
    }
    
    /**
     * Primary Menu Functions
     */
    
    function themater_menu_primary_display()
    {
        global $theme;
        ?>
			<?php wp_nav_menu( 'depth=' . $theme->get_option('menu_primary_depth') . '&theme_location=' . $theme->options['menus']['menu-primary']['theme_location'] . '&container_class=' . $theme->options['menus']['menu-primary']['wrap_class'] . '&menu_class=' . $theme->options['menus']['menu-primary']['menu_class'] . '&fallback_cb=' . $theme->options['menus']['menu-primary']['fallback'] . ''); ?>
              <!--.primary menu--> 	
        <?php
    }
    
    function themater_menu_primary_default()
    {
        global $theme;
        ?>
        <div class="<?php echo $theme->options['menus']['menu-primary']['wrap_class']; ?>">
			<ul class="<?php echo $theme->options['menus']['menu-primary']['menu_class']; ?>">
                <li <?php if(is_home() || is_front_page()) { ?>class="current_page_item"<?php } ?>><a href="<?php echo home_url(); ?>"><?php _e('Home','themater'); ?></a></li>
				<?php wp_list_pages('depth=' .  $theme->get_option('menu_primary_depth') . '&sort_column=menu_order&title_li=' ); ?>
			</ul>
		</div>
        <?php
    }
    
    function themater_menu_primary_js()
    {
        global $theme;

        $return = '';
        
            $menu_primary_arrows = $theme->display('menu_primary_arrows') ? 'true' : 'false';
            $menu_primary_shadows = $theme->display('menu_primary_shadows') ? 'true' : 'false';
            $menu_primary_delay = $theme->display('menu_primary_delay') ? $theme->get_option('menu_primary_delay') : '800';
            $menu_primary_speed = $theme->display('menu_primary_speed') ? $theme->get_option('menu_primary_speed') : '200';
            
            switch ($theme->get_option('menu_primary_effect')) {
                case 'standart' :
                $menu_primary_effect = "animation: {width:'show'},\n";
                break;
                
                case 'slide' :
                $menu_primary_effect = "animation: {height:'show'},\n";
                break;
                
                case 'fade' :
                $menu_primary_effect = "animation: {opacity:'show'},\n";
                break;
                
                case 'fade_slide_right' :
                $menu_primary_effect = "onBeforeShow: function(){ this.css('marginLeft','20px'); },\n animation: {'marginLeft':'0px',opacity:'show'},\n";
                break;
                
                case 'fade_slide_left' :
                $menu_primary_effect = "onBeforeShow: function(){ this.css('marginLeft','-20px'); },\n animation: {'marginLeft':'0px',opacity:'show'},\n";
                break;
                
                default:
                $menu_primary_effect = "animation: {opacity:'show'},\n";
            }
            
            $return .= "jQuery(function(){ \n\tjQuery('ul." . $theme->options['menus']['menu-primary']['superfish_class'] . "').superfish({ \n\t";
            $return .= $menu_primary_effect;
            $return .= "autoArrows:  $menu_primary_arrows,
                dropShadows: $menu_primary_shadows, 
                speed: $menu_primary_speed,
                delay: $menu_primary_delay
                });
            });\n";
   
        return $return;
    }
?>