<?php

    /**
     * Secondary Menu Admin Options
     */
     
    $this->admin_option(array('منوی ثانویه', 22), 
        'منوی ثانویه', 'menu_secondary_info', 
        'content', 'لطفا استفاده کنید از <a href="nav-menus.php"><strong>پنل منو ها</strong></a> برای انجام تغییرات مورد نظرتان <strong>منوی اولیه</strong>.<br />منوی اولیه در صفحات سایت نمایش داده می شوند اگر هیچ منویی را انتخاب نکرده اید. <a href="http://codex.wordpress.org/Appearance_Menus_Screen" target="_blank">برای اطلاعات بیشتر اینجا را بخوانید.</a>'
    );
    
    $this->admin_option('منوی ثانویه', 
        'Secondary Menu Enabled?', 'menu_secondary', 
        'checkbox', $this->options['menus']['menu-secondary']['active'], 
        array('display'=>'inline')
    );
    
     $this->admin_option('منوی ثانویه', 
        'تنظیمات منو آبشاری', 'menu_secondary_drop_down', 
        'content', ''
    );
    
    $this->admin_option('منوی ثانویه', 
        'عمق منو', 'menu_secondary_depth', 
        'text', $this->options['menus']['menu-secondary']['depth'], 
        array('help'=>'میزان عمق منو اولیه 0 برابر با بینهایت است', 'display'=>'inline', 'style'=>'width: 80px;')
    );
    
    $this->admin_option('منوی ثانویه', 
        'جلوه های ویژه', 'menu_secondary_effect', 
        'select', $this->options['menus']['menu-secondary']['effect'],
        array('help'=>'جلوه های انیمیشنی برای منو ها', 'display'=>'inline', 'options'=>array('standart' => 'استاندارد و بدون افکت', 'slide' => 'اسلاید رو به پایین', 'fade' => 'محو شدن', 'fade_slide_right' => 'محو شدن و اسلاید به راست', 'fade_slide_left' => 'محو شدن و اسلاید به چپ'))
    );
    
    $this->admin_option('منوی ثانویه', 
        'سرعت', 'menu_secondary_speed', 
        'text', $this->options['menus']['menu-secondary']['speed'], 
        array('help'=>'تنظیم سرعت انیمیشن منو ابشاری', 'display'=>'inline', 'style'=>'width: 80px;', 'suffix'=> ' <em>بر حسب میلی ثانیه</em>')
    );
    
    $this->admin_option('منوی ثانویه', 
        'تاخیر', 'menu_secondary_delay', 
        'text', $this->options['menus']['menu-secondary']['delay'], 
        array('help'=>'تاخیر ایجاد شده بعد از بردن موس بر روی منو ', 'display'=>'inline', 'style'=>'width: 80px;', 'suffix'=> ' <em>بر حسب میلی ثانیه</em>')
    );
    
    $this->admin_option('منوی ثانویه', 
        'فلش', 'menu_secondary_arrows', 
        'checkbox', $this->options['menus']['menu-secondary']['arrows'], 
        array('help'=>'نمایش فلش شاخص برای منو های دارای زیرمنو', 'display'=>'inline')
    );
    
     $this->admin_option('منوی ثانویه', 
        'قطر سایه ها', 'menu_secondary_shadows', 
        'checkbox', $this->options['menus']['menu-secondary']['shadows'], 
        array('help'=>'نمایش سایه برای زیر منو ها', 'display'=>'inline')
    );
    
    
    /**
     * Display Secondary Menu
     */
     
    if($this->display('menu_secondary')) {
        
        // Register
        register_nav_menu( 'secondary',  __( 'Secondary Menu', 'themater' ) );
        
        // Display Hook
        $this->add_hook($this->options['menus']['menu-secondary']['hook'], 'themater_menu_secondary_display');
        
        function themater_menu_secondary_scripts() {
            wp_enqueue_script( 'hoverIntent', THEMATER_URL . '/js/hoverIntent.js', array('jquery') );
            wp_enqueue_script( 'superfish', THEMATER_URL . '/js/superfish.js', array('jquery') );
        }
        add_action('wp_enqueue_scripts', 'themater_menu_secondary_scripts'); 
        
        $this->custom_js(themater_menu_secondary_js());
    }
    
    /**
     * Secondary Menu Functions
     */
    
    function themater_menu_secondary_display()
    {
        global $theme;
        ?>
			<?php wp_nav_menu( 'depth=' . $theme->get_option('menu_secondary_depth') . '&theme_location=' . $theme->options['menus']['menu-secondary']['theme_location'] . '&container_class=' . $theme->options['menus']['menu-secondary']['wrap_class'] . '&menu_class=' . $theme->options['menus']['menu-secondary']['menu_class'] . '&fallback_cb=' . $theme->options['menus']['menu-secondary']['fallback'] . ''); ?>
              <!--.secondary menu--> 	
        <?php
    }
    
    function themater_menu_secondary_default()
    {
        global $theme;
        ?>
        <div class="<?php echo $theme->options['menus']['menu-secondary']['wrap_class']; ?>">
			<ul class="<?php echo $theme->options['menus']['menu-secondary']['menu_class']; ?>">
				<?php wp_list_categories('depth=' .  $theme->get_option('menu_secondary_depth') . '&hide_empty=0&orderby=name&show_count=0&use_desc_for_title=1&title_li='); ?>
			</ul>
		</div>
        <?php
    }
    
    function themater_menu_secondary_js()
    {
        global $theme;

        $return = '';
        
            $menu_secondary_arrows = $theme->display('menu_secondary_arrows') ? 'true' : 'false';
            $menu_secondary_shadows = $theme->display('menu_secondary_shadows') ? 'true' : 'false';
            $menu_secondary_delay = $theme->display('menu_secondary_delay') ? $theme->get_option('menu_secondary_delay') : '800';
            $menu_secondary_speed = $theme->display('menu_secondary_speed') ? $theme->get_option('menu_secondary_speed') : '200';
            
            switch ($theme->get_option('menu_secondary_effect')) {
                case 'standart' :
                $menu_secondary_effect = "animation: {width:'show'},\n";
                break;
                
                case 'slide' :
                $menu_secondary_effect = "animation: {height:'show'},\n";
                break;
                
                case 'fade' :
                $menu_secondary_effect = "animation: {opacity:'show'},\n";
                break;
                
                case 'fade_slide_right' :
                $menu_secondary_effect = "onBeforeShow: function(){ this.css('marginLeft','20px'); },\n animation: {'marginLeft':'0px',opacity:'show'},\n";
                break;
                
                case 'fade_slide_left' :
                $menu_secondary_effect = "onBeforeShow: function(){ this.css('marginLeft','-20px'); },\n animation: {'marginLeft':'0px',opacity:'show'},\n";
                break;
                
                default:
                $menu_secondary_effect = "animation: {opacity:'show'},\n";
            }
            
            $return .= "jQuery(function(){ \n\tjQuery('ul." . $theme->options['menus']['menu-secondary']['superfish_class'] . "').superfish({ \n\t";
            $return .= $menu_secondary_effect;
            $return .= "autoArrows:  $menu_secondary_arrows,
                dropShadows: $menu_secondary_shadows, 
                speed: $menu_secondary_speed,
                delay: $menu_secondary_delay
                });
            });\n";
   
        return $return;
    }
?>